"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ern_core_1 = require("ern-core");
const getContainerMetadataPath_1 = require("./getContainerMetadataPath");
function addContainerMetadata(conf) {
    return __awaiter(this, void 0, void 0, function* () {
        const metadata = {
            ernVersion: ern_core_1.Platform.currentVersion,
            jsApiImpls: conf.composite.getJsApiImpls().map(j => j.toString()),
            miniApps: conf.composite.getMiniApps().map(m => m.packagePath.toString()),
            nativeDeps: conf.plugins.map(p => p.toString()),
            platform: conf.targetPlatform,
        };
        const pathToMetadataFile = getContainerMetadataPath_1.getContainerMetadataPath(conf.outDir);
        return ern_core_1.fileUtils.writeFile(pathToMetadataFile, JSON.stringify(metadata, null, 2));
    });
}
exports.addContainerMetadata = addContainerMetadata;
//# sourceMappingURL=addContainerMetadata.js.map