"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ern_composite_gen_1 = require("ern-composite-gen");
const ern_core_1 = require("ern-core");
const reactNativeBundleAndroid_1 = require("./reactNativeBundleAndroid");
const reactNativeBundleIos_1 = require("./reactNativeBundleIos");
const clearReactPackagerCache_1 = require("./clearReactPackagerCache");
function bundleMiniApps(
// The miniapps to be bundled
miniApps, compositeDir, outDir, platform, { bundleOutput, pathToYarnLock, dev, sourceMapOutput, baseComposite, jsApiImplDependencies, resolutions, extraJsDependencies, } = {}) {
    return __awaiter(this, void 0, void 0, function* () {
        yield ern_core_1.kax.task('Generating MiniApps Composite').run(ern_composite_gen_1.generateComposite({
            baseComposite,
            extraJsDependencies,
            jsApiImplDependencies,
            miniApps,
            outDir: compositeDir,
            pathToYarnLock,
            resolutions,
        }));
        return bundleMiniAppsFromComposite({
            bundleOutput,
            compositeDir,
            dev,
            outDir,
            platform,
            sourceMapOutput,
        });
    });
}
exports.bundleMiniApps = bundleMiniApps;
function bundleMiniAppsFromComposite({ bundleOutput, compositeDir, dev, outDir, platform, sourceMapOutput, }) {
    return __awaiter(this, void 0, void 0, function* () {
        clearReactPackagerCache_1.clearReactPackagerCache();
        return ern_core_1.kax.task('Running Metro Bundler').run(platform === 'android'
            ? reactNativeBundleAndroid_1.reactNativeBundleAndroid({
                bundleOutput,
                cwd: compositeDir,
                dev,
                outDir,
                sourceMapOutput,
            })
            : reactNativeBundleIos_1.reactNativeBundleIos({
                bundleOutput,
                cwd: compositeDir,
                dev,
                outDir,
                sourceMapOutput,
            }));
    });
}
exports.bundleMiniAppsFromComposite = bundleMiniAppsFromComposite;
//# sourceMappingURL=bundleMiniApps.js.map