import { NativePlatform } from 'ern-core';
export declare const supportedAssetsExts: string[];
/**
 * Copy in Container, the assets of all packages found in Composite,
 * that are exporting assets through react-native.config.js.
 * Similar to React Native, only fonts (.ttf/.otf) are supported for now.
 * This will copy the font assets of all packages that are either
 * dependencies:
 * https://github.com/react-native-community/cli/blob/master/docs/dependencies.md
 * or projects:
 * https://github.com/react-native-community/cli/blob/master/docs/projects.md
 */
export declare function copyRnConfigAssets({ compositePath, outDir, platform, }: {
    compositePath: string;
    outDir: string;
    platform: NativePlatform;
}): Promise<void>;
