"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ern_core_1 = require("ern-core");
function generatePluginsMustacheViews(plugins, platform) {
    return __awaiter(this, void 0, void 0, function* () {
        const pluginsViews = [];
        ern_core_1.log.debug('Generating plugins mustache views');
        for (const plugin of plugins) {
            if (plugin.basePath === 'react-native') {
                continue;
            }
            const pluginConfig = yield ern_core_1.manifest.getPluginConfig(plugin);
            if (!pluginConfig) {
                continue;
            }
            if (!pluginConfig[platform]) {
                ern_core_1.log.warn(`${plugin.basePath} does not have any injection configuration for ${platform} platform`);
                continue;
            }
            const pluginHook = pluginConfig[platform].pluginHook;
            const containerHeader = pluginConfig[platform].containerPublicHeader;
            if (!pluginHook && !containerHeader) {
                continue;
            }
            const pluginView = {};
            if (pluginHook) {
                pluginView.name = pluginHook.name;
                pluginView.lcname =
                    pluginHook.name &&
                        pluginHook.name.charAt(0).toLowerCase() + pluginHook.name.slice(1);
                pluginView.configurable = pluginHook.configurable;
            }
            if (containerHeader) {
                pluginView.containerHeader = containerHeader;
            }
            pluginsViews.push(pluginView);
        }
        return pluginsViews;
    });
}
exports.generatePluginsMustacheViews = generatePluginsMustacheViews;
//# sourceMappingURL=generatePluginsMustacheViews.js.map