"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ern_core_1 = require("ern-core");
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
function reactNativeBundleAndroid({ bundleOutput, dev, outDir, sourceMapOutput, cwd, }) {
    return __awaiter(this, void 0, void 0, function* () {
        cwd = cwd || process.cwd();
        const libSrcMainPath = path_1.default.join(outDir, 'lib', 'src', 'main');
        bundleOutput =
            bundleOutput || path_1.default.join(libSrcMainPath, 'assets', 'index.android.bundle');
        const assetsDest = path_1.default.join(libSrcMainPath, 'res');
        // Cleanup everything from 'res' directory but 'devassist'
        if (fs_1.default.existsSync(assetsDest)) {
            fs_1.default.readdirSync(assetsDest)
                .filter(p => p !== 'devassist')
                .map(p => path_1.default.join(assetsDest, p))
                .forEach(p => ern_core_1.shell.rm('-rf', p));
        }
        ern_core_1.shell.pushd(cwd);
        const entryFile = fs_1.default.existsSync(path_1.default.join(cwd, 'index.android.js'))
            ? 'index.android.js'
            : 'index.js';
        try {
            const result = yield ern_core_1.reactnative.bundle({
                assetsDest,
                bundleOutput,
                dev: !!dev,
                entryFile,
                platform: 'android',
                sourceMapOutput,
            });
            return result;
        }
        finally {
            ern_core_1.shell.popd();
        }
    });
}
exports.reactNativeBundleAndroid = reactNativeBundleAndroid;
//# sourceMappingURL=reactNativeBundleAndroid.js.map