"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ern_core_1 = require("ern-core");
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
function reactNativeBundleIos({ bundleOutput, dev, outDir, sourceMapOutput, cwd, }) {
    return __awaiter(this, void 0, void 0, function* () {
        cwd = cwd || process.cwd();
        const miniAppOutPath = path_1.default.join(outDir, 'ElectrodeContainer', 'Libraries', 'MiniApp');
        bundleOutput = bundleOutput || path_1.default.join(miniAppOutPath, 'MiniApp.jsbundle');
        const assetsDest = miniAppOutPath;
        if (fs_1.default.existsSync(assetsDest)) {
            ern_core_1.shell.rm('-rf', path_1.default.join(assetsDest, '{.*,*}'));
            ern_core_1.shell.mkdir('-p', path_1.default.join(assetsDest, 'assets'));
            // Write a dummy file to the empty `assets` directory,
            // otherwise empty directories are not pushed to git repositories
            // which will lead to issues when building the iOS Container
            // if the assets directory is missing
            fs_1.default.writeFileSync(path_1.default.join(assetsDest, 'assets', 'README.md'), 'React Native bundled assets will be stored in this directory');
        }
        if (!fs_1.default.existsSync(miniAppOutPath)) {
            ern_core_1.shell.mkdir('-p', miniAppOutPath);
        }
        ern_core_1.shell.pushd(cwd);
        const entryFile = fs_1.default.existsSync(path_1.default.join(cwd, 'index.ios.js'))
            ? 'index.ios.js'
            : 'index.js';
        try {
            const result = yield ern_core_1.reactnative.bundle({
                assetsDest,
                bundleOutput,
                dev: !!dev,
                entryFile,
                platform: 'ios',
                sourceMapOutput,
            });
            return result;
        }
        finally {
            ern_core_1.shell.popd();
        }
    });
}
exports.reactNativeBundleIos = reactNativeBundleIos;
//# sourceMappingURL=reactNativeBundleIos.js.map